Buteo Synchronization Framework: Buteo::StorageChangeNotifier Class Reference

Buteo Synchronization Framework

Signals | Public Member Functions | List of all members
Buteo::StorageChangeNotifier Class Reference

Notifies about changes in storages that it's asked to monitor. More...

`#include <StorageChangeNotifier.h>`

Inheritance diagram for Buteo::StorageChangeNotifier:

## Signals
void | storageChange (QString aStorageName)

## Public Member Functions
| StorageChangeNotifier ()
| constructor
| ~StorageChangeNotifier ()
| destructor
void | loadNotifiers (PluginManager *aPluginManager, const QStringList &aStorageNames)
| load all implemented storage change notifier plug-in's More...
bool | startListen (QStringList &aFailedStorages)
void | stopListen (bool disableAfterNextChange=false)
| call this to ignore taking action on storage changes. Whether there was a change can be determined by calling hasChanges() on the notifier plug-in and startListen() can be called again More...
void | checkForChanges ()

## Detailed Description

Notifies about changes in storages that it's asked to monitor.

## Member Function Documentation

## ◆ checkForChanges()

void StorageChangeNotifier::checkForChanges | ( |  | ) |

Manually check and notify changes in storage

## ◆ loadNotifiers()

void StorageChangeNotifier::loadNotifiers | ( | PluginManager * | aPluginManager,
|  | const QStringList & | aStorageNames
| ) |  |

load all implemented storage change notifier plug-in's

Parameters

  aPluginManager | used to load SOC storage plugins
  aStorageNames | list of storages we wan't to monitor

## ◆ startListen()

bool StorageChangeNotifier::startListen | ( | QStringList & | aFailedStorages | ) |

Call this to start monitoring changes in storages

Parameters

  list | of storage names which can't be monitored

Returns
  true if we can monitor all storages requested for false otherwise

## ◆ stopListen()

void StorageChangeNotifier::stopListen | ( | bool | disableAfterNextChange = `false` | ) |

call this to ignore taking action on storage changes. Whether there was a change can be determined by calling hasChanges() on the notifier plug-in and startListen() can be called again

Parameters

  disableAfterNextChange | if set to true, we stop listening to change notifiers after they've notified about the next change. This is useful for eg to note that a change did occur during a d2d sync (during which we disable SOC), but we don't want to get notified for each batch change, the one notification lets itself be known to us when we call checkForChanges()

## ◆ storageChange

void Buteo::StorageChangeNotifier::storageChange | ( | QString | aStorageName | ) |
| signal

emit this signal if a storage changed

Parameters

  storageName | name of the storage that changed

The documentation for this class was generated from the following files:

- StorageChangeNotifier.h
- moc_StorageChangeNotifier.cpp
- StorageChangeNotifier.cpp